Skip to content

List Directories

DirectoryListPageResponse Beta.Directories.List(DirectoryListParams?parameters, CancellationTokencancellationToken = default)
GET/api/v1/beta/directories

List Directories

ParametersExpand Collapse
DirectoryListParams parameters
Boolean includeDeleted

Include deleted directories.

string? name

Directory name to match.

string? organizationID
Long? pageSize
string? pageToken
string? projectID
Type? type

Directory type to include.

"ephemeral"Ephemeral
"index"Index
"user"User
IReadOnlyList<Type>? types

Filter by one or more directory types. Repeat the parameter for multiple values.

"ephemeral"Ephemeral
"index"Index
"user"User
ReturnsExpand Collapse
class DirectoryListPageResponse:

API query response schema for directories.

required IReadOnlyList<DirectoryListResponse> Items

The list of items.

required string ID

Unique identifier for the directory.

required string Name

Human-readable name for the directory.

minLength1
required string ProjectID

Project the directory belongs to.

DateTimeOffset? CreatedAt

Creation datetime

formatdate-time
DateTimeOffset? DeletedAt

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
string? Description

Optional description shown to users.

DateTimeOffset? ExpiresAt

When this directory expires and is eligible for cleanup.

formatdate-time
IReadOnlyDictionary<string, JsonElement>? SystemMetadata

Reserved system-managed metadata.

Type? Type

Directory type: ‘user’, ‘index’, or ‘ephemeral’.

One of the following:
"ephemeral"Ephemeral
"index"Index
"user"User
DateTimeOffset? UpdatedAt

Update datetime

formatdate-time
string? NextPageToken

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Long? TotalSize

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

List Directories

DirectoryListParams parameters = new();

var page = await client.Beta.Directories.List(parameters);
await foreach (var item in page.Paginate())
{
    Console.WriteLine(item);
}
{
  "items": [
    {
      "id": "id",
      "name": "x",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "system_metadata": {
        "foo": "bar"
      },
      "type": "ephemeral",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "name": "x",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "system_metadata": {
        "foo": "bar"
      },
      "type": "ephemeral",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/